"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Polygon = Polygon;
var _react = _interopRequireDefault(require("react"));
var _api = require("@react-google-maps/api");
var _mouseEvent = require("../utils/mouse-event");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function Polygon(props) {
  const map = (0, _api.useGoogleMap)();
  return /*#__PURE__*/_react.default.createElement(_api.Polygon, {
    path: props.coordinates.map(c => ({
      lat: c.latitude,
      lng: c.longitude
    })),
    onClick: e => (0, _mouseEvent.mapMouseEventToMapEvent)(e, null, map, 'polygon-press'),
    options: {
      geodesic: props.geodesic,
      clickable: props.tappable,
      fillColor: props.fillColor,
      strokeColor: props.strokeColor,
      strokeWeight: props.strokeWidth
    }
  });
}
//# sourceMappingURL=polygon.js.map